aboutsummaryrefslogtreecommitdiff
path: root/test/performance/odp_l2fwd_run
diff options
context:
space:
mode:
Diffstat (limited to 'test/performance/odp_l2fwd_run')
-rwxr-xr-xtest/performance/odp_l2fwd_run3
1 files changed, 2 insertions, 1 deletions
diff --git a/test/performance/odp_l2fwd_run b/test/performance/odp_l2fwd_run
index c20a3e1..e0c61e7 100755
--- a/test/performance/odp_l2fwd_run
+++ b/test/performance/odp_l2fwd_run
@@ -63,6 +63,7 @@ run_l2fwd()
echo "Run odp_l2fwd -i $IF1,$IF2 -m 0 -t 30 -c 2"
odp_l2fwd${EXEEXT} -i $IF1,$IF2 -m 0 -t 30 -c 2
+ ret=$?
kill ${GEN_PID}
@@ -72,7 +73,7 @@ run_l2fwd()
exit $TEST_SKIPPED
fi
- exit 0
+ exit $ret
}
case "$1" in